Sign up and get started with Confidence today! Create your account
List groups for a user.
cURL
curl --request GET \ --url https://iam.eu.confidence.dev/v1/users/{user}/groups \ --header 'Authorization: Bearer <token>'
{ "userGroups": [ { "group": { "displayName": "<string>", "groupType": "GROUP_TYPE_UNSPECIFIED", "createTime": {}, "updateTime": {}, "creator": "<string>", "updater": "<string>", "identity": "<string>", "name": "<string>", "description": "<string>", "labels": [ {} ], "owner": "<string>" } } ], "nextPageToken": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The maximum number of groups to fetch.
Token used for pagination.
OK
Partial list of returned groups for the user.
Show child attributes
A token that can be used to fetch more groups, empty if no more groups are available.
Was this page helpful?
Contact support